Xposed Framework podría no ser compatible con Android 5.0 Lollipop

Escrito por
Android
0

Xposed Framework es una de las aplicaciones más destacables que podemos instalar si tenemos un smartphone o un tablet rooteado. Básicamente, permite aplicar modificaciones que solo serían posibles instalando una nueva ROM, pero sin tener que instalar dicha ROM. Pues bien, Xposed Framework podría no ser compatible con la nueva versión Android 5.0 Lollipop.

Las actualizaciones de las versiones del sistema operativo suelen ser bien recibidas por los usuarios, y muy mal recibidas por los desarrolladores, sobre todo por aquellos que todavía no tienen una aplicación, o un servicio, que ya es definitivo y que funciona a la perfección, pues dificultan todavía más el trabajo de lanzar dicha app o servicio. Es lo que le ha ocurrido al desarrollador de Xposed Framework, quien se ha encontrado con que su aplicación, una de las más utilizadas por los usuarios con smartphones y tablets rooteados, podría no funcionar con Android 5.0 Lollipop.

Trucos Android

En realidad, no se debe a nada que haya hecho Google con la intención de acabar con este Xposed Framework, sino más bien al hecho de que este último era compatible con la máquina virtual Dalvik, y no con la máquina virtual ART. Como ya sabréis, una de las novedades de la nueva versión del sistema operativo es que ART pasa a ser la máquina virtual por defecto, dejando a Dalvik en el olvido. En KitKat ya podíamos activar ART como máquina virtual, pero en este caso perdíamos la posibilidad de instalar Xposed Framework y los diferentes módulos para este. Sin embargo, en Android 5.0 Lollipop simplemente no existe Dalvik, por lo que la única máquina virtual que se puede utilizar es ART. Claro está, cuando hablamos de un sistema como Xposed Framework que está basado en modificar la interfaz y algunas funciones llegando más allá que las simples aplicaciones, estos problemas podían ocurrir, y de hecho han ocurrido. Lo único que se puede hacer es esperar antes de actualizar para ver si el desarrollador da con la clave para hacer Xposed Framework compatible, o si una de las nuevas versión del sistema operativo que Google va a lanzar, resultan no tener esa incompatibilidad con Xposed Framework. De no ser así, podríamos estar hablando del fin de este servicio.